List Messages Endpoint
curl --request GET \
--url https://flow.seekr.com/v1/threads/{thread_id}/messages \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/threads/{thread_id}/messages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"thread_id": "<string>",
"role": "<string>",
"content": "<string>",
"id": "<string>",
"object": "thread.message",
"created_at": "2023-11-07T05:31:56Z",
"parts": [
{
"type": "text",
"text": "<string>",
"id": "<string>",
"metadata": {}
}
],
"agent_id": "<string>",
"run_id": "<string>",
"meta_data": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List messages
List messages in a thread.
GET
/
v1
/
threads
/
{thread_id}
/
messages
List Messages Endpoint
Returns all messages in a thread in chronological order. Use this after a run completes to read the agent’s response.
When the agent used file search, each retrieved chunk’s source tracing fields are appended to the assistant message content:
chunk_id, page, lines, and section. Use chunk_id to call the chunk endpoint for full Markdown provenance and the file_id of the source document.Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Headers
Path Parameters
Query Parameters
Required range:
x >= 0Options for order query param in list endpoints.
Available options:
asc, desc Required range:
x >= 0Response
Success
content
string(InputText · object | InputImage · object | InputFile · object)[](OutputText · object | OutputGuardrail · object)[]
required
parts
(MessageTextPart · object | MessageReasoningPart · object | MessageFilePart · object | MessageDataPart · object | MessageToolCallPart · object | MessageToolErrorPart · object | MessageToolResultPart · object)[] | null
A text part persisted alongside a thread message.
- MessageTextPart
- MessageReasoningPart
- MessageFilePart
- MessageDataPart
- MessageToolCallPart
- MessageToolErrorPart
- MessageToolResultPart
Show child attributes
Show child attributes
Last modified on July 31, 2026
Was this page helpful?
⌘I